/*Sketch to use a remote to wireless control MonkeyLight M232 bike lights. Credit to Ken Shirriff: 
  http://www.righto.com/2009/08/multi-protocol-infrared-remote-library.html
*/
#include <IRremote.h>

int RECV_PIN = 9;                     //pin 9 receives raw data from TSOP 4038
int relayTrigger = 2;                 //pin 2 triggers the relay on or off
IRrecv irrecv(RECV_PIN);
decode_results results;
#define PLAY 2011242632               //pushing 'play' on remote gives me this value; it makes more sense when replaced with PLAY

//setup runs once, at start///////////////////////////////////////////////////
void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn();                //Start the receiver
  pinMode(relayTrigger, OUTPUT);      //set pin for output
  digitalWrite(relayTrigger, LOW);    //open relay contacts
}

//loop runs forever//////////////////////////////////////////////////////////
void loop()
{
  if (irrecv.decode(&results))
  {
    Serial.println(results.value);    //Open serial monitor, and view remote codes. I used the 'play' button on Apple remote = 2011242632
    irrecv.resume();                  //Receive the next value
  }
  if (results.value == PLAY)          //If Apple remote button 'play' is pushed, then:
  {
    digitalWrite(relayTrigger, HIGH); //trigger the relay. This will short the contacts of MonkeyLight 232 power switch
    delay(10);                        //wait for it...
    digitalWrite(relayTrigger, LOW);  //MonkeyLight 232 switch is triggered not by shorting contacts, but by opening them
    results.value = 0;                //if we don't replace PLAY (2011242632) in results.value, the relay will keep switching on and off
  }
}

/*
Using Apple Remote:
2011287688 +
2011279496 -
2011242632 play
2011238536 <<
2011291784 >>
2011250824 menu
*/
